A list of workflow registrations













Beta Workflows Endpoints
Workflow management API.












Examples
Real world code examples
Get Workflow Registrations
GET /v1/workflows/registrations
200
Successful Response
next_cursor
Playground
Test the endpoints live
curl https://api.mistral.ai/v1/workflows/registrations \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'curl https://api.mistral.ai/v1/workflows/registrations \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'200
{
"next_cursor": null,
"workflow_registrations": [
{
"definition": {
"input_schema": [
null
]
},
"id": "ipsum eiusmod",
"task_queue": "consequat do",
"workflow_id": "reprehenderit ut dolore"
}
],
"workflow_versions": [
{
"definition": {
"input_schema": [
null
]
},
"id": "occaecat dolor sit",
"task_queue": "nostrud",
"workflow_id": "aute aliqua aute commodo"
}
]
}{
"next_cursor": null,
"workflow_registrations": [
{
"definition": {
"input_schema": [
null
]
},
"id": "ipsum eiusmod",
"task_queue": "consequat do",
"workflow_id": "reprehenderit ut dolore"
}
],
"workflow_versions": [
{
"definition": {
"input_schema": [
null
]
},
"id": "occaecat dolor sit",
"task_queue": "nostrud",
"workflow_id": "aute aliqua aute commodo"
}
]
}Execute Workflow
POST /v1/workflows/{workflow_identifier}/execute
workflow_identifier
custom_tracing_attributes
deployment_name
Name of the deployment to route this execution to
encoded_input
Encoded input to the workflow, used when payload encoding is enabled.
execution_id
Allows you to specify a custom execution ID. If not provided, a random ID will be generated.
input
The input to the workflow. This should be a dictionary that matches the workflow's input schema.
task_queue
Deprecated. Use deployment_name instead.
timeout_seconds
Maximum time to wait for completion when wait_for_result is true.
wait_for_result
Default Value: false
If true, wait for the workflow to complete and return the result directly.
200
Successful Response
WorkflowExecutionResponse
WorkflowExecutionSyncResponse
Playground
Test the endpoints live
curl https://api.mistral.ai/v1/workflows/{workflow_identifier}/execute \
-X POST \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{}'curl https://api.mistral.ai/v1/workflows/{workflow_identifier}/execute \
-X POST \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{}'200
{
"end_time": null,
"execution_id": "ipsum eiusmod",
"result": null,
"root_execution_id": "consequat do",
"start_time": "2025-10-07T20:56:01.974Z",
"status": "RUNNING",
"workflow_name": "reprehenderit ut dolore"
}{
"end_time": null,
"execution_id": "ipsum eiusmod",
"result": null,
"root_execution_id": "consequat do",
"start_time": "2025-10-07T20:56:01.974Z",
"status": "RUNNING",
"workflow_name": "reprehenderit ut dolore"
}Execute Workflow Registration
POST /v1/workflows/registrations/{workflow_registration_id}/execute
workflow_registration_id
custom_tracing_attributes
deployment_name
Name of the deployment to route this execution to
encoded_input
Encoded input to the workflow, used when payload encoding is enabled.
execution_id
Allows you to specify a custom execution ID. If not provided, a random ID will be generated.
input
The input to the workflow. This should be a dictionary that matches the workflow's input schema.
task_queue
Deprecated. Use deployment_name instead.
timeout_seconds
Maximum time to wait for completion when wait_for_result is true.
wait_for_result
Default Value: false
If true, wait for the workflow to complete and return the result directly.
200
Successful Response
WorkflowExecutionResponse
WorkflowExecutionSyncResponse
Playground
Test the endpoints live
curl https://api.mistral.ai/v1/workflows/registrations/{workflow_registration_id}/execute \
-X POST \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{}'curl https://api.mistral.ai/v1/workflows/registrations/{workflow_registration_id}/execute \
-X POST \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{}'200
{
"end_time": null,
"execution_id": "ipsum eiusmod",
"result": null,
"root_execution_id": "consequat do",
"start_time": "2025-10-07T20:56:01.974Z",
"status": "RUNNING",
"workflow_name": "reprehenderit ut dolore"
}{
"end_time": null,
"execution_id": "ipsum eiusmod",
"result": null,
"root_execution_id": "consequat do",
"start_time": "2025-10-07T20:56:01.974Z",
"status": "RUNNING",
"workflow_name": "reprehenderit ut dolore"
}Get Workflow
GET /v1/workflows/{workflow_identifier}
workflow_identifier
200
Successful Response
Playground
Test the endpoints live
curl https://api.mistral.ai/v1/workflows/{workflow_identifier} \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'curl https://api.mistral.ai/v1/workflows/{workflow_identifier} \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'200
{
"workflow": {
"active": false,
"customer_id": "ipsum eiusmod",
"display_name": "consequat do",
"id": "reprehenderit ut dolore",
"name": "occaecat dolor sit",
"type": "code",
"workspace_id": "nostrud"
}
}{
"workflow": {
"active": false,
"customer_id": "ipsum eiusmod",
"display_name": "consequat do",
"id": "reprehenderit ut dolore",
"name": "occaecat dolor sit",
"type": "code",
"workspace_id": "nostrud"
}
}Update Workflow
PUT /v1/workflows/{workflow_identifier}
workflow_identifier
available_in_chat_assistant
Whether to make the workflow available in the chat assistant
description
New description value
display_name
New display name value
200
Successful Response
Playground
Test the endpoints live
curl https://api.mistral.ai/v1/workflows/{workflow_identifier} \
-X PUT \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{}'curl https://api.mistral.ai/v1/workflows/{workflow_identifier} \
-X PUT \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{}'200
{
"workflow": null
}{
"workflow": null
}Get Workflow Registration
GET /v1/workflows/registrations/{workflow_registration_id}
workflow_registration_id
with_workflow
Whether to include the workflow definition
include_shared
Whether to include shared workflow versions
200
Successful Response
Playground
Test the endpoints live
curl https://api.mistral.ai/v1/workflows/registrations/{workflow_registration_id} \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'curl https://api.mistral.ai/v1/workflows/registrations/{workflow_registration_id} \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'200
{
"workflow_registration": {
"active": false,
"definition": {
"input_schema": [
null
]
},
"id": "ipsum eiusmod",
"task_queue": "consequat do",
"workflow_id": "reprehenderit ut dolore"
},
"workflow_version": {
"active": false,
"definition": {
"input_schema": [
null
]
},
"id": "occaecat dolor sit",
"task_queue": "nostrud",
"workflow_id": "aute aliqua aute commodo"
}
}{
"workflow_registration": {
"active": false,
"definition": {
"input_schema": [
null
]
},
"id": "ipsum eiusmod",
"task_queue": "consequat do",
"workflow_id": "reprehenderit ut dolore"
},
"workflow_version": {
"active": false,
"definition": {
"input_schema": [
null
]
},
"id": "occaecat dolor sit",
"task_queue": "nostrud",
"workflow_id": "aute aliqua aute commodo"
}
}Archive Workflow
PUT /v1/workflows/{workflow_identifier}/archive
workflow_identifier
200
Successful Response
Playground
Test the endpoints live
curl https://api.mistral.ai/v1/workflows/{workflow_identifier}/archive \
-X PUT \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json'curl https://api.mistral.ai/v1/workflows/{workflow_identifier}/archive \
-X PUT \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json'200
{
"workflow": null
}{
"workflow": null
}Unarchive Workflow
PUT /v1/workflows/{workflow_identifier}/unarchive
workflow_identifier
200
Successful Response
Playground
Test the endpoints live
curl https://api.mistral.ai/v1/workflows/{workflow_identifier}/unarchive \
-X PUT \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json'curl https://api.mistral.ai/v1/workflows/{workflow_identifier}/unarchive \
-X PUT \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json'200
{
"workflow": null
}{
"workflow": null
}